Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:      	sharutils
Version:   	4.7
Release:   	1
Provides:	%{name}
License: 	GNU/GPL
URL:		http://www.gnu.org/software/sharutils/sharutils.html
Group:     	Archiving/Compression
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Summary:        sharutils - tools for encoding and decoding of shell archives
Prereq(post,preun): /sbin/install-info 

%description
GNU shar makes so-called shell archives out of many files,
preparing them for transmission by electronic mail services.
A shell archive is a collection of files that can be unpacked by /bin/sh.
A wide range of features provide extensive flexibility in manufacturing
shars and in specifying shar smartness. For example, shar may compress files,
uuencode binary files, split long files and construct multi-part mailings,
ensure correct unsharing order, and provide simplistic checksums.
GNU unshar scans a set of mail messages looking for the start of shell archives.
It will automatically strip off the mail headers and other introductory text.
The archive bodies are then unpacked by a copy of the shell.
Unshar may also process files containing concatenated shell archives.

%post 
 /sbin/install-info %_infodir/sharutils.info.gz %_infodir/dir 
 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %_infodir/sharutils.info.gz %_infodir/dir 
fi 

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.7-1
- Version update
* Sun Jun 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.6.3-1
- Version update
* Sat Oct 01 2005 Christian Wasem <wasem@ccux-linux.de> 4.5.1-2
- tweaked specfile
* Tue Sep 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.5.1-1
- rebuilt SRPM, Version Update
* Mon Dec 27 2004 Christian Metzen <metzench@ccux-linux.de> 4.2.1-1
- Initial Release
